
QGIS Application - Bug report #16339

Embedded layer style and labels properties can be modified within the layer styling panel

2017-03-10 11:48 AM - Laurence Bechet 

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24249

Description

When using an embedded layer from a 'parent' project within a 'child' project, the (parent)layer properties are not accessible in the layer

panel, thus the style and labels. However the layer styling panel allows access to the style and labels - which is inconsistent.

Associated revisions

Revision e4836429 - 2019-01-28 02:51 PM - Alexander Bruy

don't allow to change style of the embedded layers from the Layer

Styling panel (fix #16339)

Revision e97649ae - 2019-01-28 07:41 PM - Alexander Bruy

Merge pull request #9006 from alexbruy/fix-embedded-layers

don't allow to change style of the embedded layers from the Layer Styling panel (fix #16339)

Revision 149d68df - 2019-01-29 04:35 PM - Alexander Bruy

don't allow to change style of the embedded layers from the Layer

Styling panel (fix #16339)

(cherry picked from commit e48364292d0afa87a555a6e7cac65ea0e0e930ae)

History

#1 - 2017-03-10 12:37 PM - Laurence Bechet 

- File 2.18ViewLayer.jpg added

Also because the Layer/Labeling menu opens the layer styling panel, labels can be accessed from there as well.

#2 - 2017-03-14 10:52 AM - Regis Haubourg

Hi Laurence, 

can you test in QGIS 3 if the issue is correctly fixed? 

If yes, that deserves backport to 2.18 (future LTR)
#3 - 2017-03-14 06:04 PM - Laurence Bechet 

Hi Regis,

I checked with 2.99.0-Master QGIS code revision 2654c72 and it is not fixed. Is there another version and where can I find it? (sorry if it is an obvious

question).

Laurence

#4 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown

#6 - 2017-11-17 04:45 PM - Harrissou Santanna

This still does not work in master commit:c321700ada

Btw, i think the priority should be raised to High as this bug allows end-users to change layer style, which could be seen as a corruption of the provided

project.

#7 - 2017-11-17 05:04 PM - Giovanni Manghi

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

- Affected QGIS version changed from 2.18.4 to 2.18.14

- Category changed from Unknown to Symbology

#8 - 2019-01-28 02:56 PM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

- Priority changed from High to Normal

- Affected QGIS version changed from 2.18.14 to 3.5(master)

- Crashes QGIS or corrupts data changed from Yes to No

Lowering priority to Normal, as changing style of the embedded layer does not saved in the its original project and also when reopenening child project

style is restored from the main project.

PR https://github.com/qgis/QGIS/pull/9006

#9 - 2019-01-28 07:40 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|e48364292d0afa87a555a6e7cac65ea0e0e930ae.

#10 - 2019-01-28 07:41 PM - Alexander Bruy

- Resolution set to fixed/implemented
